wxSQLite3DatabaseReference Class Reference

## Public Member Functions

| wxSQLite3DatabaseReference (sqlite3 *db=NULL)
| Default constructor.
virtual | ~wxSQLite3DatabaseReference ()
| Default destructor.

## Friends

class WXDLLIMPEXP_FWD_SQLITE3 | wxSQLite3Database
class WXDLLIMPEXP_FWD_SQLITE3 | wxSQLite3ResultSet
class WXDLLIMPEXP_FWD_SQLITE3 | wxSQLite3Statement
class WXDLLIMPEXP_FWD_SQLITE3 | wxSQLite3Blob

## Constructor & Destructor Documentation

## wxSQLite3DatabaseReference()

wxSQLite3DatabaseReference::wxSQLite3DatabaseReference | ( | sqlite3 * | db = `NULL` | ) |

inline

Default constructor.

## ~wxSQLite3DatabaseReference()

virtual wxSQLite3DatabaseReference::~wxSQLite3DatabaseReference | ( |  | ) |

inline virtual

Default destructor.

## Friends And Related Symbol Documentation

## wxSQLite3Blob

friend class WXDLLIMPEXP_FWD_SQLITE3 wxSQLite3Blob

friend

## wxSQLite3Database

friend class WXDLLIMPEXP_FWD_SQLITE3 wxSQLite3Database

friend

## wxSQLite3ResultSet

friend class WXDLLIMPEXP_FWD_SQLITE3 wxSQLite3ResultSet

friend

## wxSQLite3Statement

friend class WXDLLIMPEXP_FWD_SQLITE3 wxSQLite3Statement

friend

The documentation for this class was generated from the following file:

- wxsqlite3.cpp